> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyzecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Track a product analytics event



## OpenAPI

````yaml /openapi.json post /api/analytics/events
openapi: 3.0.3
info:
  title: Hyze Cloud API
  description: Official API documentation
  version: 1.0.0
servers:
  - url: https://api.hyzecloud.com
security:
  - bearerAuth: []
paths:
  /api/analytics/events:
    post:
      tags:
        - Analytics
      summary: Track a product analytics event
      operationId: postApiAnalyticsEvents
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  minLength: 1
                  maxLength: 80
                  type: string
                properties:
                  type: object
                  additionalProperties: true
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  minLength: 1
                  maxLength: 80
                  type: string
                properties:
                  type: object
                  additionalProperties: true
          multipart/form-data:
            schema:
              type: object
              required:
                - name
              properties:
                name:
                  minLength: 1
                  maxLength: 80
                  type: string
                properties:
                  type: object
                  additionalProperties: true
      responses:
        default:
          description: Response
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: hyze_your_api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.